Vraag & Antwoord

OS Linux

[Debian Sarge] K3b installeert niet

7 antwoorden
  • Recent is K3b van mijn systemen verdwenen en opnieuw installeren gaat niet. Ik krijg de meldingen: [code:1:1b4e914fdc]k3b: depends: k3blibs but is not going to be installed depends: kdelibs4 but is not going to be installed depends: libmusicbraninz4 (>=2.1.1) but is not installable depends: libqt3c102-mt (>=3:3.3.4) but is not installable[/code:1:1b4e914fdc]Dit alles in Synaptic, maar op de commandline zijn de meldingen (uiteraard :P) hetzelfde. Ik heb geprobeerd K3b van source te installeren, maar het configure script brak (herhaaldelijk) af omdat het de benodigde files van het X-Window systeem niet kan vinden. Ik vermoed dat Debian een non-compatible update heeft gedaan, waarbij K3b verwijderd moest worden. Of dat het gevolg was van een bepaalde pakketkeuze of een Debian Policy wijziging is mij niet bekend. Toch wil ik K3b wel terug hebben, want er is ook geen vervanger :-? Wie weet raad? Groet, M.V. Wesstein
  • [quote:910236fd7f="M.V. Wesstein"] Toch wil ik K3b wel terug hebben, want er is ook geen vervanger[/quote:910236fd7f] Typ om mee te beginnen commando [code:1:910236fd7f] apt-cache search k3b [/code:1:910236fd7f] Ik had deze output [code:1:910236fd7f] debian:/home/jolo# apt-cache search k3b k3b - A sophisticated KDE cd burning application k3blibs - The KDE cd burning application library - runtime files k3b-i18n - Internationalized (i18n) files for k3b debian:/home/jolo# [/code:1:910236fd7f] En dan apt-get update En apt-get install k3b [code:1:910236fd7f] debian:/home/jolo# apt-get install k3b Pakketlijsten worden ingelezen... Klaar Boom van vereisten wordt opgebouwd... Klaar De volgende extra pakketten zullen geïnstalleerd worden: cdparanoia k3blibs libflac++4 libid3-3.8.3 Voorgestelde pakketten: k3b-i18n normalize toolame Aanbevolen pakketten: vcdimager cdrdao dvd+rw-tools De volgende NIEUWE pakketten zullen geïnstalleerd worden: cdparanoia k3b k3blibs libflac++4 libid3-3.8.3 0 pakketten opgewaardeerd, 5 nieuwe pakketten geïnstalleerd, 0 verwijderen en 0 niet opgewaardeerd. Er moeten 0B/3626kB aan archieven opgehaald worden. Na het uitpakken zal er 8655kB extra schijfruimte gebruikt worden. Wilt u doorgaan? [J/n] Wilt u doorgaan? [J/n] j Medium wisselen: Gelieve de schijf met label 'Debian GNU/Linux 3.1 r0 _Sarge_ - Official i386 Binary-1 (20050605)' in het station '/cdrom/' te plaatsen en op 'enter' te drukken Selecteren van voorheen niet geselecteerd pakket cdparanoia. (Database inlezen ... 87944 bestanden en mappen geïnstalleerd.) Uitpakken van cdparanoia (uit .../cdparanoia_3a9.8-11_i386.deb) ... Selecteren van voorheen niet geselecteerd pakket libflac++4. Uitpakken van libflac++4 (uit .../libflac++4_1.1.1-5_i386.deb) ... Selecteren van voorheen niet geselecteerd pakket libid3-3.8.3. Uitpakken van libid3-3.8.3 (uit .../libid3-3.8.3_3.8.3-4.1_i386.deb) ... Selecteren van voorheen niet geselecteerd pakket k3blibs. Uitpakken van k3blibs (uit .../k3b/k3blibs_0.11.20-1_i386.deb) ... Selecteren van voorheen niet geselecteerd pakket k3b. Uitpakken van k3b (uit .../k/k3b/k3b_0.11.20-1_i386.deb) ... Instellen van cdparanoia (3a9.8-11) ... Instellen van libflac++4 (1.1.1-5) ... Instellen van libid3-3.8.3 (3.8.3-4.1) ... Instellen van k3blibs (0.11.20-1) ... Instellen van k3b (0.11.20-1) ... debian:/home/jolo# [/code:1:910236fd7f] [quote:910236fd7f="M.V. Wesstein"] Ik vermoed dat Debian een non-compatible update heeft gedaan, waarbij K3b verwijderd moest worden. [/quote:910236fd7f] Je zou je /etc/apt/sources.lst kunnen posten. Check ook je /var/log/debian-installer/messages En check http://k3b.plainblack.com/download#Nsirv7AVz8G7FDJex5nudA Mijn favoriete distributie is tegenwoordig Ubuntu. Debian Sarge is ook nog wel geinstalleerd, maar ik mijn /etc/apt/sources.list nog niet aangepast. Vandaar dat bij mij k3b werd geinstalleerd vanaf Debian Sarge dvd1.
  • Zoals gezegd zijn het meerdere systemen: Laptop: [code:1:b241722817]~ # apt-cache search k3b k3b-i18n - Internationalized (i18n) files for k3b kipi-plugins - image manipulation/handling plugins for KIPI aware programs quodlibet-plugins - various contributed plugins for Quod Libet k3b - A sophisticated KDE cd burning application k3blibs - The KDE cd burning application library - runtime files k3blibs-dev - The KDE cd burning application library - development files ~ #[/code:1:b241722817] /etc/apt/sources.lst: [code:1:b241722817]# deb file:///cdrom/ sarge main deb http://security.debian.org/ sarge/updates main contrib non-free deb ftp://ftp.nl.debian.org/debian/ testing main deb-src ftp://ftp.nl.debian.org/debian/ testing main deb http://security.debian.org/ testing/updates main deb http://www.planet-moll.de/debian/ sarge main # deb http://rigtorp.se/debian/ unstable/ # deb http://ndiswrapper.sourceforge.net/debian/ ./ # deb-src http://rigtorp.se/debian/ unstable/ [/code:1:b241722817] Desktop: [code:1:b241722817]~ # apt-cache search k3b k3b-i18n - Internationalized (i18n) files for k3b kipi-plugins - image manipulation/handling plugins for KIPI aware programs quodlibet-plugins - various contributed plugins for Quod Libet ~ #[/code:1:b241722817] /etc/apt/sources.lst: [code:1:b241722817]# deb file:///cdrom/ sarge main deb http://ftp.nl.debian.org/debian/ testing main deb-src http://ftp.nl.debian.org/debian/ testing main deb http://security.debian.org/ testing/updates main [/code:1:b241722817]Op de laptop staan wat (uitbecommentarieerde) resources voor een volledige Java installatie en wat andere dingen die ik nog niet werkend heb gekregen. Komt nog wel, eerst K3b ;) Op de Desktop heb ik helaas de fout gemaakt in Synaptic om k3b helemaal te laten verwijderen. Helaas bleek dat na [i:b241722817]apt-get update && apt-get install k3b[/i:b241722817] de problemen niet verholpen te zijn. Ik krijg nog immer de foutmelding uit de beginpost. Groet, M.V. Wesstein PS: dat Debian pakketje had ik ook al gevonden, maar helaas ging daar eea bij mis. Ik ben nl al een paar dagen bezig en ik zou niet van source zijn gaan installeren als er een werkend .deb pakketje is ;) Wat er precies misging weet ik niet meer, heb intussen zo veel gedaan dat dat me ontschoten is.
  • Welke kernel heb je draaien? Met de kernel 2.6.8-2-686 onder debian etch/testing heb ik geen enkel probleem met het installeren van k3b. Het kan zijn dat er modules of libs geinstalleerd moeten worden die een hogere kernel-image nodig zijn. Heb nu wel een ander probleem, hoe krijg het fatsoenlijk weer weg. Gebruik zelf liever Gnomebaker of Graveman. :wink:
  • Het is de standaard 2.4 kernel (.27 meen ik uit m'n hoofd) Op de laptop heb ik naast de 2.4 kernel via apt ook de 2.6 kernel geinstalleerd, maar dan krijg ik problemen met het touchpad. Het heeft wél gewerkt, dus ligt het niet aan de kernel. Het probleem is (m.i.) het niet willen installeren van de k3b dependencies...
  • [quote:5ae3219c61="schorem"]Welke kernel heb je draaien? Met de kernel 2.6.8-2-686 onder debian etch/testing heb ik geen enkel probleem met het installeren van k3b. Het kan zijn dat er modules of libs geinstalleerd moeten worden die een hogere kernel-image nodig zijn. Heb nu wel een ander probleem, hoe krijg het fatsoenlijk weer weg. Gebruik zelf liever Gnomebaker of Graveman. :wink:[/quote:5ae3219c61] met apt-get? of handmatig door de goede bestanden te zoeken :wink: overigens mag je geen plaatjes in je onderschrift hebben.
  • Plaatje is inmiddels aangepast. Had het ff niet gelezen. Sorry allemaal. :oops: Inmiddels een antwoord op het probleem: Kijk eens op [url]http://www.linuxquestions.org/questions/showthread.php?s=&threadid=372006&highlight=k3b+debian[/url]

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.